/*
for: app-explore-layout
used in: app-stocks-category-list, app-indices-category-list, app-etfs-category-list
*/

app-explore-layout {

  & .explore-wrapper {
    & .search-heading{
      display: none;
    }
    & .explore-header {
      background-color: #ffffff;

      & .explore-title {
        background-color: theme-color("primary");
        padding-bottom: 15px;
        padding-top: 15px;

        & h1 {
          @include muli-semibold(20px);
          margin-bottom: 0;
          color: $white;
        }
      }

      & .explore-tabs {
        padding-left: 0;
        padding-right: 0;
      }
    }

    & .explore-search {
      position: relative;
      & .sort-filter-wrapper{
        button{
          border: 0;
    background-color: #dadee5;
    border-radius: 0.5rem;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 100%;

    >img{
      max-width: 1rem;
      margin-right: 0.5rem;
    }
    span{
      @include muli-semibold(10px);
      color: #616161;
    }
        }
      }
      
// @include media-breakpoint-down(xs) {
//   position: absolute;
//     top: 7px;
//     left: 0;
//     right: 0;
//     & .search-block{
//       position: absolute;
//     width: 100%;
//     left: 0;
//     right: 0;
//     top: 48px;
//     }
// }
    }
  }

  & .explore-wrapper {
    &.mobileSearch{
      & .explore-search{
        position: absolute;
        top: 50px;
        width: 100%;
        padding-bottom: 10px;
        background-color: #3a63bb;
      }
      & .search-heading{
        display: flex;
        align-items: center;
         img {
           filter: brightness(100);
           max-width: 14px;
           margin-right: 10px;
         }
         & .header-title{
           color:white;
         }
      }
      & .search-block{
        position: absolute;
        top:50px;

        & .card{
        border-radius: 0;
        & .card-body{
          padding-top: 5px;
          max-height: 504px;

          & .searchResult{
            height: 50px;
            align-items: center;
            border-bottom: 1px solid rgba(211, 211, 211, 0.432);
          }
        }
        }
      }
      & .explore-body{
        opacity: 0;
      }
    }
  }

  @include media-breakpoint-up(lg) {
    & .explore-wrapper {
      & .explore-header {
        background-color: $white;
        transform: translateY(-15px);

        & .explore-title {
          display: none;
        }
      }
    }
  }



  app-cards-list {
    & .card-list-body {
      display: flex;

      app-info-card {
        min-width: 358px;
        max-width: 358px;
        white-space: break-spaces;
        margin-right: 16px;

        & .card-body {
          & .card-title {
            &>span {
              @include muli-semibold(14px);
              text-overflow: -o-ellipsis-lastline;
              display: -webkit-box;
              -webkit-line-clamp: 2;
              -webkit-box-orient: vertical;
              min-height: 42px;
              overflow: hidden;
            }
          }
        }
      }
    }
  }

  & .show-all-link {
    color: #196be5;
    cursor: pointer;
    text-decoration: none;
  }
}

app-explore-layout.Etfs{
   
  app-cards-list {
    & .card-list-body {
      display: flex;
      flex-wrap: wrap;

      app-info-card {
        min-width: 358px;
        max-width: 358px;
        white-space: break-spaces;
        margin-right: 5px;
        margin-bottom: 10px;
      }
    }
  }
}

@include media-breakpoint-down(xs) {
  app-explore-layout[type="stocks"] {
    app-cards-list {
      & .card-list-body {
        display: flex;
        padding-bottom: 5px;
        app-info-card {
          min-width: 160px;
          min-height: 152px;
          max-width: 160px;
          white-space: break-spaces;
          margin-right: 10px;

          & .card-body {
            padding: 18px 6px 22px 15px;

            & .card-title {
              display: flex;
              align-items: center;
              min-height: 42px;
              margin-bottom: 0;

              &>img {
                width: 18px;
                height: 18px;
              }

              &>span {
                @include muli-semibold(14px);
                width: 90px;
                text-overflow: -o-ellipsis-lastline;
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
                overflow: hidden;
              }
            }

            & .stock-type-display {
              display: none;
            }

            & .stock-type-value {
              margin-top: 31px;
              margin-bottom: 13px;
            }
          }
        }
      }
    }
  }
  app-explore-layout.Etfs{
    app-cards-list {
      & .card-list-body {
        display: block;  
        app-info-card {
          min-width: 100%;
          max-width: 100%;
          white-space: break-spaces;
          margin-right: 0px;
          margin-bottom: 10px;
        }
      }
    }
  }
}
